;==========================================================================
;コマンド関連ファイル
;==========================================================================
[Remap]
a = a
b = b
c = c
x = x
y = y
z = z

;AI起動用コマンド
[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0


;-| Action |-----------------------------------------------------------
[Command]
name = "fwd"
command = F
time = 1

[Command]
name = "back"
command = B
time = 1

[Command]
name = "up"
command = U
time = 1

[Command]
name = "u"
command = $U
time = 1

[Command]
name = "down"
command = D
time = 1

[Command]
name = "28"
command = $D, $U
time = 7

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF";Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB";Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a+b
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_x"
command = /F,x
time = 1

[Command]
name = "fwd_y"
command = /F,y
time = 1

[Command]
name = "fwd_ax"
command = /F,a+x
time = 1

[Command]
name = "back_ax"
command = /B,a+x
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "down_z"
command = /$D,z
time = 1

;-| 攻撃ボタン押しっぱなし |-----------------------------------------------

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "ax"
command = a+x
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup";Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1
;-| Hold Dir |（正確に）--------------------------------------------------------------
[Command]
name = "hold8"
command = /U
time = 1

[Command]
name = "hold9"
command = /UF
time = 1

[Command]
name = "hold6"
command = /F
time = 1

[Command]
name = "hold3"
command = /DF
time = 1

[Command]
name = "hold2"
command = /D
time = 1

[Command]
name = "hold1"
command = /DB
time = 1

[Command]
name = "hold4"
command = /B
time = 1

[Command]
name = "hold7"
command = /UB
time = 1






;杖術・真鉋
[Command]
name = "236a"
command = D, DF, F, a
time = 30

[Command]
name = "236b"
command = D, DF, F, b
time = 30

[Command]
name = "236c"
command = D, DF, F, c
time = 30

;杖術・魂極
[Command]
name = "63214a"
command = F, D, B, a
time = 35

[Command]
name = "63214b"
command = F, D, B, b
time = 35

[Command]
name = "63214c"
command = F, D, B, c
time = 35

;獣術・陽炎
[Command]
name = "623a"
command = F, D, DF, a
time = 30

[Command]
name = "623b"
command = F, D, DF, b
time = 30

[Command]
name = "623c"
command = F, D, DF, c
time = 30

;鳥術・鵺鳥
[Command]
name = "22a"
command = D, D, a
time = 35

[Command]
name = "22b"
command = D, D, b
time = 35

[Command]
name = "22c"
command = D, D, c
time = 35

;鳥術・梓弓
[Command]
name = "421a"
command = B, D, DB, a
time = 30

[Command]
name = "421b"
command = B, D, DB, b
time = 30

[Command]
name = "421c"
command = B, D, DB, c
time = 30

;召喚・天狼、玉兎、鈴蜂
[Command]
name = "641236a"
command = F, B, D, F, a
time = 35

[Command]
name = "641236b"
command = F, B, D, F, b
time = 35

[Command]
name = "641236c"
command = F, B, D, F, c
time = 35

;霊術・朝露
[Command]
name = "28a"
command = D, U, a
time = 25

[Command]
name = "28b"
command = D, U, b
time = 25

[Command]
name = "28c"
command = D, U, c
time = 25

;聖杖・真十鏡
[Command]
name = "236ab"
command = D, DF, F, a+b
time = 30

;鳥獣・五百重波
[Command]
name = "214ab"
command = D, DB, B, a+b
time = 30

;解放・射干玉
[Command]
name = "641236ab"
command = F, B, D, F, a+b
time = 35

;封呪・鳴神
[Command]
name = "632146ab"
command = F, D, B, F, a+b
time = 35

;アルカナブレイズ
[Command]
name = "236abc"
command = D, DF, F, a+b+c
time = 30


;アルカナ技1
[Command]
name = "236y"
command = D, DF, F, y
time = 30

;アルカナ技2
[Command]
name = "623y"
command = F, D, DF, y
time = 30

;アルカナ技3
[Command]
name = "214y"
command = D, DB, B, y
time = 30

;アルカナ技4
[Command]
name = "41236y"
command = B, D, F, y
time = 35

;アルカナ技5
[Command]
name = "63214y"
command = F, D, B, y
time = 35

;アルカナ技6
[Command]
name = "632146y"
command = F, D, B, F, y
time = 35

;アルカナ技7
[Command]
name = "641236y"
command = F, B, D, F, y
time = 35

;アルカナ技8
[Command]
name = "236236y"
command = D, DF, F, D, DF, F, y
time = 40

;アルカナ技9
[Command]
name = "214214y"
command = D, DB, B, D, DB, B, y
time = 40

; Don't remove the following line. It's required by the CMD standard.





[Statedef -1]
;===========================================================================
;コマンド実行部分（優先順位が高いものを先に表記）
;===========================================================================
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
;前方ダッシュ
[State -1]
type = ChangeState
value = 100
triggerall = var(59) = 0
triggerall = command = "FF"
triggerall = statetype = S
triggerall = stateno != [100,106]
trigger1 = ctrl = 1 || stateno = 52

;---------------------------------------------------------------------------
;バックステップ
[State -1]
type = ChangeState
value = 105
triggerall = var(59) = 0
triggerall = command = "BB"
triggerall = statetype = S
triggerall = stateno != [100,106]
trigger1 = ctrl = 1 || stateno = 52

;---------------------------------------------------------------------------
;空中前ダッシュ
[State -1]
type = ChangeState
value = 110
triggerall = var(59) = 0
triggerall = command = "FF"
triggerall = statetype = A
triggerall = var(2) = 0
triggerall = pos y < -30
trigger1 = ctrl = 1
trigger2 = stateno = [1100, 1300]
trigger2 = movecontact
trigger2 = var(1) = 7 && var(31) > 0

;---------------------------------------------------------------------------
;空中バックダッシュ
[State -1]
type = ChangeState
value = 115
triggerall = var(59) = 0
triggerall = command = "BB"
triggerall = statetype = A
triggerall = var(2) = 0
triggerall = pos y < -30
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;地上ジャンプキャンセル
[State -1]
type = ChangeState
value = 40
triggerall = var(59) = 0
triggerall = command = "holdup"
triggerall = statetype != A
trigger1 = stateno = 300 || stateno = 400 || stateno = 800
trigger1 = movecontact
trigger2 = enemynear(0),movereversed


;---------------------------------------------------------------------------
;空中ジャンプキャンセル
[State -1]
type = ChangeState
value = 45
triggerall = var(59) = 0
triggerall = command = "u"
triggerall = statetype = A
triggerall = var(5) <= 0
trigger1 = stateno = [1100, 1250]
trigger1 = movecontact


;---------------------------------------------------------------------------
;二段ジャンプ
[State -1]
type = ChangeState
value = 45
triggerall = var(59) = 0
triggerall = command = "u"
triggerall = command != "holdup" || command != "holddown"
triggerall = statetype = A
triggerall = var(5) <= 0
triggerall = var(7) >= 1
trigger1 = ctrl


;===========================================================================
;　アルカナ（汎用）
;===========================================================================
;アルカナフォース
[State -1, 1]
type = changestate
value= 2900
triggerall = var(59) = 0
triggerall = command = "a" && command = "b" && command = "c"
triggerall = roundstate = 2
triggerall = movetype != A
trigger1 = var(29) = 0
ignorehitpause = 1

;霊力バースト
[State -1, 1]
type = changestate
value= 8500
triggerall = var(59) = 0
triggerall = command = "y" && command = "b" && command = "c"
triggerall = roundstate = 2
triggerall = movetype != A
triggerall = palno = 12
trigger1 = Numhelper(7000) >= 1
trigger1 = helper(7000),var(0) = 100
ignorehitpause = 1

;アルカナブラスト
[State -1, 1]
type = ChangeState
value = 2800
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = roundstate = 2
triggerall = command = "c" && command = "y"
triggerall = var(29) = 0 || var(29) = 2
triggerall = var(31) = 0
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = [150,155]
ignorehitpause = 1

;アルカナブレイズ
;イオリス　スフェラ
[State -1, 1]
type = changestate
value = 10270
triggerall = var(59) = 0
triggerall = command = "236abc"
triggerall = statetype != A
triggerall = var(1) = 1
triggerall = var(29) = 1
triggerall = var(30) >= 100
trigger1 = ctrl || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact


;本不生の意
[State -1, 1]
type = changestate
value = 10780
triggerall = var(59) = 0
triggerall = command = "236abc"
triggerall = statetype != A
triggerall = var(1) = 3
triggerall = var(29) = 1
triggerall = var(30) >= 100
trigger1 = ctrl || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact

;大土神　大祓詞
[State -1, 1]
type = changestate
value = 11420
triggerall = var(59) = 0
triggerall = command = "236abc"
triggerall = statetype != A
triggerall = var(1) = 5
triggerall = var(29) = 1
triggerall = var(30) >= 100
trigger1 = ctrl || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact

;插翅大聖
[State -1, 1]
type = changestate
value = 11750
triggerall = var(59) = 0
triggerall = command = "236abc"
triggerall = statetype != A
triggerall = var(1) = 6
triggerall = var(29) = 1
triggerall = var(30) >= 100
trigger1 = ctrl || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact


;アルカナブラスト・ルミノスフォーム
[State -1, 1]
type = changestate
value= 13490
triggerall = var(59) = 0
triggerall = var(1) = 12
triggerall = roundstate = 2
triggerall = movetype = H
trigger1 = var(31) > 0
ignorehitpause = 1

;===========================================================================
;　超必殺技
;===========================================================================
;封呪・鳴神
[State -1, 1]
type = changestate
value = 8400
triggerall = var(59) = 0
triggerall = Numhelper(7001) >= 1
triggerall = command = "632146ab"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
triggerall = power >= 3000
trigger1 = ctrl || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact
trigger4 = stateno = [3400,3600]
trigger4 = movecontact

;鳥獣・五百重波
[State -1, 1]
type = changestate
value = 8300
triggerall = var(59) = 0
triggerall = command = "214ab"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
triggerall = power >= 1000
trigger1 = ctrl || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact
trigger4 = stateno = [3400,3600]
trigger4 = movecontact

;解放・射干玉
[State -1, 1]
type = changestate
value = 8200
triggerall = var(59) = 0
triggerall = command = "641236ab"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
triggerall = power >= 1000
triggerall = helper(7000),var(10) = 1
trigger1 = ctrl || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact
trigger4 = stateno = [3400,3600]
trigger4 = movecontact


;聖杖・真十鏡（地上）
[State -1, 1]
type = changestate
value = 8000
triggerall = var(59) = 0
triggerall = command = "236ab"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
triggerall = power >= 1000
trigger1 = ctrl || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact
trigger4 = stateno = [3400,3600]
trigger4 = movecontact

;聖杖・真十鏡（空中）
[State -1, 1]
type = changestate
value = 8100
triggerall = var(59) = 0
triggerall = command = "236ab"
triggerall = statetype = A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
triggerall = power >= 1000
trigger1 = ctrl || var(13) >= 1
trigger2 = stateno = [1100, 1400]
trigger2 = movecontact
trigger3 = stateno = [3400,3600]
trigger4 = movecontact



;===========================================================================
;　必殺技
;===========================================================================
;霊術・朝露
[State -1, 1]
type = changestate
value = 4200
triggerall = var(59) = 0
;triggerall = command = "z"
triggerall = command = "28a" || command = "28b" || command = "28c"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
triggerall = Life > ifelse(palno = 12,0,1)
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact

;召喚・天狼
[State -1, 1]
type = changestate
value = 3900
triggerall = var(59) = 0
triggerall = command = "641236a"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
triggerall = Numhelper(3910) = 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact

;召喚・玉兎
[State -1, 1]
type = changestate
value = 4000
triggerall = var(59) = 0
triggerall = command = "641236b"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
triggerall = Numhelper(4010) = 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact

;召喚・鈴蜂
[State -1, 1]
type = changestate
value = 4100
triggerall = var(59) = 0
triggerall = command = "641236c"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
triggerall = Numhelper(4110) = 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact

;獣術・陽炎A
[State -1, 1]
type = changestate
value = 3400
triggerall = var(59) = 0
triggerall = command = "623a"
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact
trigger4 = stateno = [1100, 1300]
trigger4 = movecontact

;獣術・陽炎B
[State -1, 1]
type = changestate
value = 3500
triggerall = var(59) = 0
triggerall = command = "623b"
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact
trigger4 = stateno = [1100, 1300]
trigger4 = movecontact

;獣術・陽炎C
[State -1, 1]
type = changestate
value = 3600
triggerall = var(59) = 0
triggerall = command = "623c"
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact
trigger4 = stateno = [1100, 1300]
trigger4 = movecontact

;杖術・真鉋A
[State -1, 1]
type = changestate
value = 3000
triggerall = var(59) = 0
triggerall = command = "236a"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact

;杖術・真鉋B
[State -1, 1]
type = changestate
value = 3100
triggerall = var(59) = 0
triggerall = command = "236b"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact

;杖術・真鉋C
[State -1, 1]
type = changestate
value = 3200
triggerall = var(59) = 0
triggerall = command = "236c"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact

;杖術・魂極
[State -1, 1]
type = changestate
value = 3300
triggerall = var(59) = 0
triggerall = command = "63214a" || command = "63214b" || command = "63214c"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact

;鳥術・鵺鳥、鷂
[State -1, 1]
type = changestate
value = 3700
triggerall = var(59) = 0
triggerall = command = "22a" || command = "22b" || command = "22c"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact

;鳥術・梓弓
[State -1, 1]
type = changestate
value = 3800
triggerall = var(59) = 0
triggerall = command = "421a" || command = "421b" || command = "421c"
triggerall = statetype != A
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) > 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 500]
trigger2 = movecontact
trigger3 = stateno = [700, 900]
trigger3 = movecontact





;===========================================================================
;　アルカナ超必
;===========================================================================

;トリス　スフェラ
[State -1, 1]
type = changestate
value = 10200
triggerall = var(59) = 0
triggerall = command = "236236y"
;triggerall = statetype != A
triggerall = var(1) = 1
triggerall = power >= 1000
triggerall = Numhelper(7000) = 1
triggerall = Numhelper(10212) <= ifelse(var(29)!=1,1,999) && helper(ifelse(Numhelper(10212)=1,ifelse(var(29)!=1,10212,7000),7000)),stateno=ifelse(Numhelper(10212)=1,ifelse(var(29)!=1,10111,7000),7000)
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = (stateno = [300, 1400]) || (stateno = [3400,3600])
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]

;ウラニオ　トクソ
[State -1, 1]
type = changestate
value = 10230
triggerall = var(59) = 0
triggerall = command = "641236y"
;triggerall = statetype != A
triggerall = var(1) = 1
triggerall = power >= 1000
triggerall = Numhelper(10240) = 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = (stateno = [300, 1400]) || (stateno = [3400,3600])
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]


;無量光の意
[State -1, 1]
type = changestate
value = 10730
triggerall = var(59) = 0
triggerall = command = "236236y"
;triggerall = statetype != A
triggerall = var(1) = 3
triggerall = power >= 1000
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = (stateno = [300, 1400]) || (stateno = [3400,3600])
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]


;開地門　殺鬼道
[State -1, 1]
type = changestate
value = 11380
triggerall = var(59) = 0
triggerall = command = "641236y"
;triggerall = statetype != A
triggerall = var(1) = 5
triggerall = Numhelper(11390) = 0
triggerall = power >= 1000
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = (stateno = [300, 1400]) || (stateno = [3400,3600])
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]

;開天府　滅鬼陣
[State -1, 1]
type = changestate
value = 11400
triggerall = var(59) = 0
triggerall = command = "236236y"
triggerall = statetype != A
triggerall = var(1) = 5
triggerall = Numhelper(11410) = 0
triggerall = power >= 1000
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = (stateno = [300, 1400]) || (stateno = [3400,3600])
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]

;轟天焦
[State -1, 1]
type = changestate
value = 11690
triggerall = var(59) = 0
triggerall = command = "236236y"
;triggerall = statetype != A
triggerall = var(1) = 6
triggerall = power >= 1000
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = (stateno = [300, 1400]) || (stateno = [3400,3600])
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]

;火孔覇
[State -1, 1]
type = changestate
value = 11720
triggerall = var(59) = 0
triggerall = command = "632146y"
;triggerall = statetype != A
triggerall = var(1) = 6
triggerall = power >= 1000
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = (stateno = [300, 1400]) || (stateno = [3400,3600])
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]


;セレスティアルゲート
[State -1, 1]
type = changestate
value = 13500
triggerall = var(59) = 0
triggerall = command = "236236y"
;triggerall = statetype != A
triggerall = var(1) = 12
triggerall = power >= 1000
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = (stateno = [300, 1400]) || (stateno = [3400,3600])
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]

;インペリアルディビジョン
[State -1, 1]
type = changestate
value = 13530
triggerall = var(59) = 0
triggerall = command = "214214y"
;triggerall = statetype != A
triggerall = var(1) = 12
triggerall = power >= 1000
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = (stateno = [300, 1400]) || (stateno = [3400,3600])
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]

;===========================================================================
;　アルカナ必殺技
;===========================================================================

;ロズ　トクソ
[State -1, 1]
type = changestate
value = 10130
triggerall = var(59) = 0
triggerall = command = "623y"
triggerall = var(1) = 1
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 1400]
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]
trigger5 = var(31) > 0 && (stateno = [3400,3600])
trigger5 = movecontact

;ロズ　スフェラ
[State -1, 1]
type = changestate
value = 10100
triggerall = var(59) = 0
triggerall = command = "236y"
triggerall = var(1) = 1
triggerall = Numhelper(7000) = 1
triggerall = Numhelper(10110) <= ifelse(var(29)!=1,1,999) && helper(ifelse(Numhelper(10110)=1,ifelse(var(29)!=1,10110,7000),7000)),stateno=ifelse(Numhelper(10110)=1,ifelse(var(29)!=1,10111,7000),7000)
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 1400]
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]
trigger5 = var(31) > 0 && (stateno = [3400,3600])
trigger5 = movecontact

;ロズ　キクロス
[State -1, 1]
type = changestate
value = 10160
triggerall = var(59) = 0
triggerall = command = "214y"
triggerall = var(1) = 1
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 1400]
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]
trigger5 = var(31) > 0 && (stateno = [3400,3600])
trigger5 = movecontact


;離縛の意
[State -1, 1]
type = changestate
value = ifelse(StateType = A,10715,10700)
triggerall = var(59) = 0
triggerall = command = "236y"
;triggerall = statetype != A
triggerall = var(1) = 3
triggerall = Numhelper(10710) = 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 1400]
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]

;要石
[State -1, 1]
type = changestate
value = ifelse(StateType = A,11315,11300)
triggerall = var(59) = 0
triggerall = command = "623y"
;triggerall = statetype != A
triggerall = var(1) = 5
triggerall = Numhelper(11310) = 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 1400]
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]

;開地門
[State -1, 1]
type = changestate
value = ifelse(StateType = A,11345,11330)
triggerall = var(59) = 0
triggerall = command = "41236y"
;triggerall = statetype != A
triggerall = var(1) = 5
triggerall = Numhelper(11340) = 0
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 1400]
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]


;火仙弋
[State -1, 1]
type = changestate
value = 11600
triggerall = var(59) = 0
triggerall = command = "236y"
triggerall = var(1) = 6
triggerall = Numhelper(7000) = 1
triggerall = Numhelper(11610) <= 1 && helper(ifelse(Numhelper(11610)=1,11610,7000)),stateno=ifelse(Numhelper(11610)=1,11620,7000)
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 1400]
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]

;火攻焔
[State -1, 1]
type = changestate
value = 11630
triggerall = var(59) = 0
triggerall = command = "63214y"
triggerall = var(1) = 6
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 1400]
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]


;ロイヤルオプティクス
[State -1, 1]
type = changestate
value = ifelse(StateType = A,13475,13460)
triggerall = var(59) = 0
triggerall = command = "641236y"
;triggerall = statetype != A
triggerall = var(1) = 12
triggerall = Numhelper(13470) = 0
triggerall = var(9) != 3 && var(9) != 30 && var(9) != 100
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 1400]
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]

;ノーブルフォトン
[State -1, 1]
type = changestate
value = ifelse(StateType = A,13415,13400)
triggerall = var(59) = 0
triggerall = command = "236y"
;triggerall = statetype != A
triggerall = var(1) = 12
triggerall = Numhelper(13410) = 0
triggerall = var(9) != 1 && var(9) != 10 && var(9) != 100
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 1400]
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]

;ジャッジメントレイ
[State -1, 1]
type = changestate
value = ifelse(StateType = A,13445,13430)
triggerall = var(59) = 0
triggerall = command = "214y"
;triggerall = statetype != A
triggerall = var(1) = 12
triggerall = Numhelper(13440) = 0
triggerall = var(9) != 2 && var(9) != 20 && var(9) != 100
trigger1 = ctrl || stateno = 52 || stateno = 40 || var(13) >= 1
trigger2 = stateno = [300, 1400]
trigger2 = stateno != 600 && movecontact
trigger3 = stateno = 600 && moveguarded
trigger4 = stateno = 600 && movehit && Numtarget(600) >= 1
trigger4 = target(600),stateno = [610,612]



;===========================================================================
;　通常技等
;===========================================================================
;投げ
[State -1, 1]
type = ChangeState
value = 1500
triggerall = var(59) = 0
triggerall = command = "ax" || command = "fwd_ax" || command = "back_ax"
triggerall = statetype != A
trigger1 = ctrl || stateno = 52 || var(13) = 1

;空投げ
[State -1, 1]
type = ChangeState
value = 1600
triggerall = var(59) = 0
triggerall = command = "ax" || command = "fwd_ax" || command = "back_ax"
triggerall = statetype = A
trigger1 = ctrl || var(13) = 1

[State -1, 3A/3B/3C]
type = ChangeState
value = 1700
triggerall = var(59) = 0
triggerall = command = "hold3"
triggerall = command = "a" || command = "b" || command = "c"
triggerall = statetype != A
triggerall = palno <= 11
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(0) >= 0
trigger1 = ctrl || stateno = 52 || var(13) = 1
trigger2 = stateno = 300 || stateno = 350 || stateno = 400 || stateno = 500 || stateno = 700 || stateno = 800 || stateno = 900
trigger2 = movecontact

[State -1, 6A]
type = ChangeState
value = 350
triggerall = var(59) = 0
triggerall = command = "hold6"
triggerall = command = "a"
triggerall = statetype != A
triggerall = command != "holddown"
trigger1 = ctrl || stateno = 52 || var(13) = 1


[State -1, 立A]
type = ChangeState
value = 300
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = statetype != A
triggerall = command != "holddown"
trigger1 = ctrl || stateno = 52 || var(13) = 1

[State -1, 立B]
type = ChangeState
value = 400
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = statetype != A
triggerall = command != "holddown"
trigger1 = ctrl || stateno = 52 || var(13) = 1
trigger2 = Numhelper(7000) >= 1
trigger2 = helper(7000),var(0) >= 0
trigger2 = stateno = 300 || stateno = 350 || stateno = 700
trigger2 = movecontact

[State -1, 立C]
type = ChangeState
value = 500
triggerall = var(59) = 0
triggerall = command = "c"
triggerall = statetype != A
triggerall = command != "holddown"
trigger1 = ctrl || stateno = 52 || var(13) = 1
trigger2 = Numhelper(7000) >= 1
trigger2 = helper(7000),var(0) >= 0
trigger2 = stateno = 300 || stateno = 350 || stateno = 400 || stateno = 700 || stateno = 800
trigger2 = movecontact

[State -1, 立E]
type = ChangeState
value = 600
triggerall = var(59) = 0
triggerall = command = "y"
triggerall = statetype != A
triggerall = command != "holddown"
triggerall = Numhelper(10765) = 0 && Numhelper(10770) = 0
trigger1 = ctrl || stateno = 52 || var(13) = 1
trigger2 = Numhelper(7000) >= 1
trigger2 = helper(7000),var(0) >= 0
trigger2 = stateno = 300 || stateno = 350 || stateno = 400 || stateno = 700 || stateno = 800 || stateno = 900
trigger2 = movecontact


[State -1, 2A]
type = ChangeState
value = 700
triggerall = var(59) = 0
triggerall = command = "down_a"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 52 || var(13) = 1

[State -1, 2B]
type = ChangeState
value = 800
triggerall = var(59) = 0
triggerall = command = "down_b"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 52 || var(13) = 1
trigger2 = Numhelper(7000) >= 1
trigger2 = helper(7000),var(0) >= 0
trigger2 = stateno = 300 || stateno = 350 || stateno = 400 || stateno = 700
trigger2 = movecontact

[State -1, 2C]
type = ChangeState
value = 900
triggerall = var(59) = 0
triggerall = command = "down_c"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 52 || var(13) = 1
trigger2 = Numhelper(7000) >= 1
trigger2 = helper(7000),var(0) >= 0
trigger2 = stateno = 300 || stateno = 350 || stateno = 400 || stateno = 800
trigger2 = movecontact

[State -1, 2E]
type = ChangeState
value = 1000
triggerall = var(59) = 0
triggerall = command = "down_y"
triggerall = statetype != A
triggerall = Numhelper(10765) = 0 && Numhelper(10770) = 0
trigger1 = ctrl = 1 || stateno = 52 || var(13) = 1
trigger2 = Numhelper(7000) >= 1
trigger2 = helper(7000),var(0) >= 0
trigger2 = stateno = 300 || stateno = 350 || stateno = 400 || stateno = 700 || stateno = 800 || stateno = 900
trigger2 = movecontact

[State -1, JA]
type = ChangeState
value = 1100
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = statetype = A
trigger1 = ctrl || var(13) = 1


[State -1, J6B]
type = ChangeState
value = 1250
triggerall = var(59) = 0
triggerall = command = "fwd_b"
triggerall = statetype = A
trigger1 = ctrl || var(13) = 1
trigger2 = Numhelper(7000) >= 1
trigger2 = helper(7000),var(0) >= 0
trigger2 = stateno = 1100 || stateno = 1200
trigger2 = movecontact

[State -1, JB]
type = ChangeState
value = 1200
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = statetype = A
trigger1 = ctrl || var(13) = 1
trigger2 = Numhelper(7000) >= 1
trigger2 = helper(7000),var(0) >= 0
trigger2 = stateno = 1100
trigger2 = movecontact

[State -1, JC]
type = ChangeState
value = 1300
triggerall = var(59) = 0
triggerall = command = "c"
triggerall = statetype = A
trigger1 = ctrl || var(13) = 1
trigger2 = Numhelper(7000) >= 1
trigger2 = helper(7000),var(0) >= 0
trigger2 = stateno = 1100 || stateno = 1200 || stateno = 1250
trigger2 = movecontact

[State -1, JE]
type = ChangeState
value = 1400
triggerall = var(59) = 0
triggerall = command = "y"
triggerall = statetype = A
trigger1 = ctrl || var(13) = 1
trigger2 = Numhelper(7000) >= 1
trigger2 = helper(7000),var(0) >= 0
trigger2 = stateno = 1100 || stateno = 1200 || stateno = 1250
trigger2 = movecontact


[State -1, ガーキャン6D（空中）]
type = ChangeState
value = 2301
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = command = "hold6"
triggerall = command = "x"
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(5) = 80 || helper(7000),var(6) = 80 || helper(7000),var(7) = 80
trigger1 = stateno = [150,155]
ignorehitpause = 1

[State -1, ガーキャン6D（地上）]
type = ChangeState
value = ifelse(var(1) != 5,2401,2500)
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "hold6"
triggerall = command = "x"
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(5) = 80 || helper(7000),var(6) = 80 || helper(7000),var(7) = 80
trigger1 = stateno = [150,155]
ignorehitpause = 1


[State -1, ガーキャン4D（空中）]
type = ChangeState
value = 2302
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = command = "holdback"
triggerall = command = "x"
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(5) = 80 || helper(7000),var(6) = 80 || helper(7000),var(7) = 80
trigger1 = stateno = [150,155]
ignorehitpause = 1

[State -1, ガーキャン4D（地上）]
type = ChangeState
value = 2402
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "holdback"
triggerall = command = "x"
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(5) = 80 || helper(7000),var(6) = 80 || helper(7000),var(7) = 80
trigger1 = stateno = [150,155]
ignorehitpause = 1

[State -1, レバー入れホーミング（空中）]
type = ChangeState
value = 2100
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = Numhelper(7000) >= 1
triggerall = command = "holdfwd" || command = "holdback" || command = "holdup" || command = "holddown"
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(5) = 80 || helper(7000),var(6) = 80 || helper(7000),var(7) = 80
trigger1 = command = "x"
trigger1 = ctrl
trigger2 = command = "hold_x"
trigger2 = var(12) = 1
trigger2 = stateno != [150,155]
trigger2 = stateno != [300,1400]
trigger3 = command = "x"
trigger3 = var(12) = 1
trigger3 = stateno = [300,1400]

[State -1, レバー入れホーミング（地上6D）]
type = ChangeState
value = ifelse(var(1) != 3,ifelse(var(1) != 5,2201,2500),2600)
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "hold6"
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(5) = 80 || helper(7000),var(6) = 80 || helper(7000),var(7) = 80
trigger1 = command = "x"
trigger1 = ctrl
trigger2 = command = "hold_x"
trigger2 = var(12) = 1
trigger2 = stateno != [150,155]
trigger2 = stateno != [300,1400]
trigger3 = command = "x"
trigger3 = var(12) = 1
trigger3 = stateno = [300,1400]

[State -1, レバー入れホーミング（地上4D）]
type = ChangeState
value = 2202
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "holdback"
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(5) = 80 || helper(7000),var(6) = 80 || helper(7000),var(7) = 80
trigger1 = command = "x"
trigger1 = ctrl
trigger2 = command = "hold_x"
trigger2 = var(12) = 1
trigger2 = stateno != [150,155]
trigger2 = stateno != [300,1400]
trigger3 = command = "x"
trigger3 = var(12) = 1
trigger3 = stateno = [300,1400]

[State -1, Ｎホーミング]
type = ChangeState
value = 2000
triggerall = var(59) = 0
triggerall = command != "holdfwd" || command != "holdback" || command != "holdup" || command != "holddown"
triggerall = Numhelper(7000) >= 1
triggerall = helper(7000),var(5) = 80 || helper(7000),var(6) = 80 || helper(7000),var(7) = 80
trigger1 = command = "x"
trigger1 = ctrl || stateno = 52
trigger2 = command = "hold_x"
trigger2 = var(12) = 1
trigger2 = stateno != [150,155]
trigger2 = stateno != [300,1400]
trigger3 = command = "x"
trigger3 = var(12) = 1
trigger3 = stateno = [300,1400]





